.mobile-app {
  input {
    &[type="radio"] {
      -webkit-appearance: none;
      -moz-appearance: none;
      appearance: none;
      display: none;
      + label {
        @extend %flexbox;
        @include justify-content(center);
        @include align-items(center);
        @include flex(1);
        width: 100%;
        font-size: 17px;
        padding: 10px 0;
        text-align: center;
        background-color: #fff;
        color: rgba($first-txt-color, .6);
        margin-bottom: 0;
        cursor: pointer;
      }
      &:checked {
        + label {
          background-color: $second-color;
          color: #fff;
        }
      }
    }
  }
  .unique-question {
    input {
      &[type="radio"] {
        &:checked {
          + label {
            background-color: $unik-bg-color;
          }
        }
      }
    }
  }
}


[type="checkbox"]:not(:checked),
[type="checkbox"]:checked {
  display: none;
}

/* on prépare le label */
[type="checkbox"]:not(:checked) + label,
[type="checkbox"]:checked + label {
  @include flexbox();
  position: relative; /* permet de positionner les pseudo-éléments */
  padding-left: 25px; /* fait un peu d'espace pour notre case à venir */
  cursor: pointer;    /* affiche un curseur adapté */

}

[type="checkbox"]:not(:checked) + label:before,
[type="checkbox"]:checked + label:before {
  content: '';
  position: absolute;
  left:0;
  width: 14px;
  height: 14px;
  border: 2px solid $second-color;
  background: #fff;
}
[type="checkbox"]:checked + label:before {
  background: $second-color;
}
/* Aspect général de la coche */
[type="checkbox"]:not(:checked) + label:after,
[type="checkbox"]:checked + label:after {
  content: '\e934';
  font-family: quote($font-icon);
  position: absolute;
  top: 0; left: 4px;
  font-size: 14px;
  color: #fff;
  transition: all .2s; /* on prévoit une animation */
}
/* Aspect si "pas cochée" */
[type="checkbox"]:not(:checked) + label:after {
  opacity: 0; /* coche invisible */
  transform: scale(0); /* mise à l'échelle à 0 */
}
/* Aspect si "cochée" */
[type="checkbox"]:checked + label:after {
  opacity: 1; /* coche opaque */
  transform: scale(1); /* mise à l'échelle 1:1 */
}

.unique-question {
  [type="checkbox"]:not(:checked) + label:before,
  [type="checkbox"]:checked + label:before {
    border: 2px solid $unik-bg-color;
  }
  [type="checkbox"]:checked + label:before {
    background: $unik-bg-color;
  }
}

.field .fields-group.multiCheckbox {
  @include flex-wrap(wrap);
  .field {
    @include flex(1 1 100%);
    margin: 0 10px 0 5px;
    label {
      white-space: nowrap;
      margin-bottom: 14px;
    }
  }
}
.props-modal .table-data .field .fields-group.multiCheckbox {
  .field {
    @include flex(0); // Inline for checkboxes in table-data
  }
}

.mobile-app {
  .field .fields-group.multiCheckbox {
    .field {
      label {
        white-space: normal;
      }
    }
  }
}

.fake-checkbox {
  @extend %flexbox;
  @include align-items(center);
  &:before {
    content:'';
    width: 20px;
    height: 18px;
    background: url('../images/fake-checkbox.png') no-repeat 0 0;
    display: inline-block;
    margin-right: 6px;
  }
  span {
    @include flex(1 1 100%);
  }
}
.checked {
  .fake-checkbox {
    font-weight: 600;
    &:before {
      background: url('../images/fake-checkbox-checked.png') no-repeat 0 0;
    }
  }
}
